package de.sh_edraft

import de.sh_edraft.config.Config
import org.bukkit.plugin.java.JavaPlugin

open class OntimeHandlerPlugin() : JavaPlugin() {

    private lateinit var config: Config

    override fun onEnable() {
        this.config = Config(logger)
        this.config.read("/config.properties", false)
        this.config.read("/config.${this.config.environment}.properties", true)
        this.config.read("/config.${this.config.hostName}.properties", true)
        logger.info("OntimeHandlerPlugin enabled :D")
    }

    override fun onDisable() {
        logger.info("OntimeHandlerPlugin disabled :(")
    }
}